

******** INTEMEDIATE OUTCOMES ONLY YOUNGH *****
******************************************************************************
cd "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\Post_Acceptance\Tables\Table_4"
use "data_table4.dta", clear 

foreach sample in ycs  {
foreach var in  ever_hesa ever_hesa_m ever_hesa_f ach_lev3 ach_lev3_m ach_lev3_f tot_glh_ach tot_glh_ach_m tot_glh_ach_f s_glh_ach s_glh_ach_m s_glh_ach_f {
desc sigma_b_`var'_`sample'
su sigma_b_`var'_`sample', detail 
scalar `var'_`sample'  = r(mean)
di `var'_`sample'

su se_sigma_b_`var'_`sample', detail 
scalar se_`var'_`sample'  = r(mean)
di se_`var'_`sample'
local se_`var'_`sample'  = r(mean)
di `se_`var'_`sample''


***Moving from 25th to 75th percentile: 
su num_inst_`var'_`sample', det
scalar no_`var'_`sample'=r(mean)
di no_`var'_`sample'

di mean_`var'_`sample'
su mean_`var'_`sample', det
scalar m_`var'_`sample'=r(mean)
di m_`var'_`sample'
su obs_va_`var'_`sample', det
scalar o_`var'_`sample'=r(mean)
scalar ab_`var'_`sample'= `var'_`sample'/m_`var'_`sample'
di ab_`var'_`sample'

}
}


cap file close fh
file open fh using "table_4.tex", write replace
	file write fh _n  "\begin{tabular}{L{3.5cm}C{2.3cm}C{2.3cm}C{2.3cm}}"
	file write fh _n "\toprule" 
	file write fh _n " & (1) & (2) & (3)  \\" 
	file write fh _n " & All & Male & Female  \\" 
	file write fh _n "\midrule" 
	file write fh _n  "& \multicolumn{3}{c}{\textit{Total GLH achieved}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((tot_glh_ach_ycs)) " & " %9.3fc ((tot_glh_ach_m_ycs)) " & "  %9.3fc ((tot_glh_ach_f_ycs))   " \\ "
		file write fh _n " S.E. & (\MyNum{`se_tot_glh_ach_ycs'}) &  (\MyNum{`se_tot_glh_ach_m_ycs'}) & (\MyNum{`se_tot_glh_ach_f_ycs'}) \\ "

	file write fh _n " Mean dep var (B) & " %9.0fc ((m_tot_glh_ach_ycs)) " & " %9.0fc ((m_tot_glh_ach_m_ycs)) " & " %9.0fc ((m_tot_glh_ach_f_ycs))  " \\ "

	file write fh _n "(A)/(B) & " %9.3fc ((ab_tot_glh_ach_ycs)) " & " %9.3fc ((ab_tot_glh_ach_m_ycs)) " & "  %9.3fc ((ab_tot_glh_ach_f_ycs))  " \\ "
	
	file write fh _n " Observations & " %9.0fc ((o_tot_glh_ach_ycs)) " & " %9.0fc ((o_tot_glh_ach_m_ycs)) " & " %9.0fc ((o_tot_glh_ach_f_ycs))   " \\ "
	
	file write fh _n " Nb. of colleges & " %9.0fc ((no_tot_glh_ach_ycs)) " & " %9.0fc ((no_tot_glh_ach_m_ycs)) " & " %9.0fc ((no_tot_glh_ach_f_ycs))  " \\ "

	file write fh _n  "& \multicolumn{3}{c}{\textit{Share of GLH achieved}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((s_glh_ach_ycs)) " & " %9.3fc ((s_glh_ach_m_ycs)) " & "  %9.3fc ((s_glh_ach_f_ycs))  " \\ "
	file write fh _n " S.E. & (\MyNum{`se_s_glh_ach_ycs'}) &  (\MyNum{`se_s_glh_ach_m_ycs'}) & (\MyNum{`se_s_glh_ach_f_ycs'}) \\ "

	file write fh _n " Mean dep var (B) & " %9.3fc ((m_s_glh_ach_ycs)) " & " %9.3fc ((m_s_glh_ach_m_ycs)) " & " %9.3fc ((m_s_glh_ach_f_ycs)) " \\ "
	
	file write fh _n "(A)/(B) & " %9.3fc ((ab_s_glh_ach_ycs)) " & " %9.3fc ((ab_s_glh_ach_m_ycs)) " & "  %9.3fc ((ab_s_glh_ach_f_ycs)) " \\ "
	
	file write fh _n " Observations & " %9.0fc ((o_s_glh_ach_ycs)) " & " %9.0fc ((o_s_glh_ach_m_ycs)) " & " %9.0fc ((o_s_glh_ach_f_ycs)) " \\ "
	
	file write fh _n " Nb. of colleges & " %9.0fc ((no_s_glh_ach_ycs)) " & " %9.0fc ((no_s_glh_ach_m_ycs)) " & " %9.0fc ((no_s_glh_ach_f_ycs)) " \\ "

	file write fh _n  "& \multicolumn{3}{c}{\textit{Achieved 1+ Level 3 Qualification}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((ach_lev3_ycs)) " & " %9.3fc ((ach_lev3_m_ycs)) " & "  %9.3fc ((ach_lev3_f_ycs))    " \\ "
	file write fh _n " S.E. & (\MyNum{`se_ach_lev3_ycs'}) &  (\MyNum{`se_ach_lev3_m_ycs'}) & (\MyNum{`se_ach_lev3_f_ycs'}) \\ "

	file write fh _n " Mean dep var (B) & " %9.3fc ((m_ach_lev3_ycs)) " & " %9.3fc ((m_ach_lev3_m_ycs)) " & " %9.3fc ((m_ach_lev3_f_ycs))   " \\ "
	
	file write fh _n "(A)/(B) & " %9.3fc ((ab_ach_lev3_ycs)) " & " %9.3fc ((ab_ach_lev3_m_ycs)) " & "  %9.3fc ((ab_ach_lev3_f_ycs))   " \\ "
	
	file write fh _n " Observations & " %9.0fc ((o_ach_lev3_ycs)) " & " %9.0fc ((o_ach_lev3_m_ycs)) " & " %9.0fc ((o_ach_lev3_f_ycs))   " \\ "
	
	file write fh _n " Nb. of colleges & " %9.0fc ((no_ach_lev3_ycs)) " & " %9.0fc ((no_ach_lev3_m_ycs)) " & " %9.0fc ((no_ach_lev3_f_ycs))   " \\ "

	file write fh _n  "& \multicolumn{3}{c}{\textit{Progression to Higher Education$^A$}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((ever_hesa_ycs)) " & " %9.3fc ((ever_hesa_m_ycs)) " & "  %9.3fc ((ever_hesa_f_ycs))     " \\ "
	file write fh _n " S.E. & (\MyNum{`se_ever_hesa_ycs'}) &  (\MyNum{`se_ever_hesa_m_ycs'}) & (\MyNum{`se_ever_hesa_f_ycs'}) \\ "

	file write fh _n " Mean dep var (B) & " %9.3fc ((m_ever_hesa_ycs)) " & " %9.3fc ((m_ever_hesa_m_ycs)) " & " %9.3fc ((m_ever_hesa_f_ycs))   " \\ "

	file write fh _n "(A)/(B) & " %9.3fc ((ab_ever_hesa_ycs)) " & " %9.3fc ((ab_ever_hesa_m_ycs)) " & "  %9.3fc ((ab_ever_hesa_f_ycs))     " \\ "
	
	file write fh _n " Observations & " %9.0fc ((o_ever_hesa_ycs)) " & " %9.0fc ((o_ever_hesa_m_ycs)) " & " %9.0fc ((o_ever_hesa_f_ycs))   " \\ "
	file write fh _n " Nb. of colleges & " %9.0fc ((no_ever_hesa_ycs)) " & " %9.0fc ((no_ever_hesa_m_ycs)) " & " %9.0fc ((no_ever_hesa_f_ycs))    " \\ "

	
	file write fh _n "\bottomrule" 
	file write fh _n "\end{tabular}"

file close fh
type  "table_4.tex"

