cd "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\Post_Acceptance\Tables\Table_6"

** DATA FOR YOUNG 
use "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\1_Young_Panel_Spec1\bootstrap_samples\VA_emp_0_panel_0.dta" , clear 
merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\1_Young_Panel_Spec1\bootstrap_samples\VA_ln_an_earn_panel_0.dta" 
drop _m
merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\2_Young_CrossSection_Spec1\bootstrap_samples\VA_tot_glh_ach_0.dta",
drop _m
merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\2_Young_CrossSection_Spec1\bootstrap_samples\VA_ach_lev3_0.dta",
drop _m
merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\2_Young_CrossSection_Spec1\bootstrap_samples\VA_s_glh_ach_0.dta",
drop _m
merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\RESULTS\2_Young_CrossSection_Spec1\bootstrap_samples\VA_ever_hesa_0.dta",
drop _m

merge 1:1 inst_id using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\RESULTS\1_Young_Panel_Spec1\VA_ln_wage_all_maj_panel_short_2sec.dta"
drop _m


drop ill_upin
gen   ill_upin=inst_id
merge 1:1 ill_upin using "G:\Data\CEE\AucejoHupkauRuizValenzuela\clean_data\fec_ACC_collapsed2003_2010.dta"
drop if _m==2
drop _m
merge 1:1 ill_upin using "G:\Data\CEE\AucejoHupkauRuizValenzuela\clean_data\nss_q22_2008_2010.dta"
drop if _m==2
drop _m
merge 1:1 ill_upin using "G:\Data\CEE\AucejoHupkauRuizValenzuela\clean_data\OFSTED_2005_2010.dta"
drop if _m==2
drop _m

egen prop25plus=rowtotal(fec_propAge25To34 fec_propAge35To44 fec_propAge45To54 fec_propAgeAbove55)
label var prop25plus "\% aged 25 and above"


foreach var in OFSTED_overalleff_latest  OFSTED_max_2005_2010 OFSTED_latest_2005_2010 {
recode `var' (1 = 4) (2 = 3) (3 = 2) (4 = 1), gen(`var'_pos)
}

recode OFSTED_mean_2005_2010 (1 = 4) (2 = 3) (3 = 2) (4 = 1) (1.5=3.5) (3.5=1.5) ( 2.666667=2.3333334)  , gen (OFSTED_mean_2005_2010_pos)
replace OFSTED_mean_2005_2010_pos=2.34 if OFSTED_mean_2005_2010_pos>2.6 & OFSTED_mean_2005_2010_pos<2.7



gen teacher_student_ratio=1/student_teacher_ratio
label var teacher_student_ratio "FTE teachers per FTE student$" 

gen ACC_ALS_share_income=ACC_ALS_income/ACC_tot_income
label var ACC_ALS_share_income "Average share of ALS income over average total income" 

label var OFSTED_overalleff_latest_pos "Highest OFSTED rating between 2005 and 2014 (1=inadecuate 4=outstanding)"
label var OFSTED_max_2005_2010_pos "Highest OFSTED rating between 2005 and 2010 (1=inadecuate 4=outstanding)"
label var OFSTED_latest_2005_2010_pos "Latest OFSTED rating between 2005 and 2010 (1=inadecuate 4=outstanding)"
label var OFSTED_mean_2005_2010_pos "Average OFSTED rating$^{a}$"

label var q22_2008_2010 "\% students satisfied with course (NSS)"
label var OFSTED_overalleff_latest_pos "Latest OFSTED rating (1=inadecuate 4=outstanding)"
label var fec_propDelivMethAtProv "\% aims classroom/provider"
label var fec_propDelivMethDistance "\% aims distance learning$^{b}$"
label var fec_propDelivMethMixed "\% aims w/ delivery method both in the classroom and workplace"
label var fec_propDelivMethWorkplace " \% aims set in workplace"
label var fec_propOpenLearning "\% aims with delivery method open learning"
label var fec_propAwardOrgAQA "\% aims awarding body AQA"
label var fec_propAwardOrgOCR "\% aims  awarding body OCR"
label var fec_propAwardOrgCityAndGuilds "\% aims awarding body City\&Guilds"
label var fec_propAwardOrgNCFE "\% aims with awarding body NCFE"
label var fec_propAwardOrgPearson "\% aims with awarding body Pearson"
label var fec_D_propAimsTypeOther "\% aims with type other than A-Levels GCSE or NVQ"
label var fec_D_propLevel2AimsCompleted "\% Level 2 aims that are completed"
label var fec_D_propLevel3AimsCompleted "\% Level 3 aims that are completed"
label var fec_D_propLevel2AimsAchieved "\% Level 2 aims that are achieved"
label var fec_D_propLevel3AimsAchieved "\% Level 3 aims that are achieved"
label var fec_D_propAimsALevels "\% aims  type Alevel"
label var fec_D_propAimsGCSE "\% aims type GCSE"
label var fec_D_propAimsNVQ "\% aims type NVQ"
label var teach_total_staffcost "Teacher salary cost/Total staff cost"
label var tech_salary_numberteachers "Average teacher salary"
label var fec_propPartTime "\% students attending part-time" 
label var fec_D_averageGLHByAim "Average glh by aim" 
label var fec_D_averageGlhByStudent "Average glh by student"

label var adj_va_ach_lev3 "VA in achieved Lev 3"
label var adj_va_s_glh_ach "VA in \% of glh achieved"


save "data_table6", replace